3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sat Oct 26, 2019 7:32 pm

Hi everyone,

A while ago my forum broke. When I emailed the host, he informed it it was because he upgraded to PHP 7.3, which the latest version of PHPBB doesn't yet support (but is supposed to in the next version?).

He is going to downgrade to 7.2 for me.

I didn't know if 3.0.12 would work on 7.2, so I figured I would see about upgrading. I found this topic on upgrading from 3.0.12 to 3.2:
viewtopic.php?t=2402101

I installed the Support Toolkit as instructed, but when I browse to the "stk" folder, I get just a blank page. No 404, no error, nothing. Just a blank page. Is this also because the host is still running 7.3?

Thank you!

User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 50926
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by stevemaury » Sat Oct 26, 2019 7:41 pm

Yes. You need php 5.6 temporarily to do the upgrade. Or you can do it offline, using XAMPP with php 5.6 - HERE FOR WINDOWS and HERE FOR OS X. Both 3.0.x and 3.2.x run on that version.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sun Oct 27, 2019 12:37 am

Thanks Steve,

I'll let the host know and I'll read up on that other utility.

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sat Nov 30, 2019 7:43 am

Hi guys,

The host moved the PHP back so my forums started working again.

I tried to upgrade to 3.2.x using the directions found here: https://www.phpbb.com/support/documents ... pdate30_31

However, I received an odd (and long!) error when it was installing. Doing some googling, I found a support topic in another language (translated it) that had PART of my error, and it seems tied to the fact my old DB was mysqli (my sql lite). But I don't know if that's my issue. Here is that error:

Code: Select all

General Error:SQL ERROR [ mysqli ] [0]SQLNo values specified for SQL IN comparison in file /home/trinten/web/ncfiero.com/public_html/Forum/phpbb/db/driver/driver.php on line 997BACKTRACEFILE: (not given by php)LINE: (not given by php)CALL: installer_msg_handler()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 997CALL: trigger_error()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 547CALL: phpbb\db\driver\driver->sql_error()FILE: [ROOT]/phpbb/db/driver/factory.phpLINE: 441CALL: phpbb\db\driver\driver->sql_in_set()FILE: [ROOT]/phpbb/db/migration/data/v32x/fix_user_styles.phpLINE: 52CALL: phpbb\db\driver\factory->sql_in_set()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\db\migration\data\v32x\fix_user_styles->styles_fix()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 714CALL: call_user_func_array()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 661CALL: phpbb\db\migrator->run_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 436CALL: phpbb\db\migrator->process_data_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 288CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 241CALL: phpbb\db\migrator->update_do()FILE: [ROOT]/phpbb/install/module/update_database/task/update.phpLINE: 160CALL: phpbb\db\migrator->update()FILE: [ROOT]/phpbb/install/module_base.phpLINE: 149CALL: phpbb\install\module\update_database\task\update->run()FILE: [ROOT]/phpbb/install/installer.phpLINE: 219CALL: phpbb\install\module_base->run()FILE: [ROOT]/phpbb/install/controller/update.phpLINE: 133CALL: phpbb\install\installer->run()FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.phpLINE: 111CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()FILE: [ROOT]/vendor/symfony/http-foundation/Response.phpLINE: 384CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()FILE: [ROOT]/install/app.phpLINE: 62CALL: Symfony\Component\HttpFoundation\Response->send()
All that text was in the red box. Under it in the normal font it says:

Code: Select all

Installing Data: \phpbb\db\migration\data\v32x\fix_user_styles.
Skip “installer.update_filesystem.download_updated_files” task
Skip “installer.update_filesystem.update_files” task
Skip “installer.update_filesystem.show_file_status” task
Skip “installer.update_filesystem.diff_files” task
Skip “installer.update_filesystem.check_task” task
Skip “installer.obtain_data.update_ftp_settings” task
Skip “installer.obtain_data.update_files” task
Skip “installer.obtain_data.file_updater_method” task
I don't know if the fix_user_styles is the issue, or how to ... well, fix it?

Strangely, despite the error, when I deleted the install folder my site was functional, all posts were there. However, the ACP said the update did not install correctly. One page in the ACP says it is running 3.2.1, but when I tried to use the Automatic Update method to get up to 3.2.8, it says "The update files found are incompatible with your installed version. Your installed version is 3.0.12 and the update file is for updating phpBB 3.2.1 to 3.2.8."

Any help would be appreciated, thank you!

User avatar
janus_zonstraal
Registered User
Posts: 3805
Joined: Sat Aug 30, 2014 1:30 pm

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by janus_zonstraal » Sat Nov 30, 2019 8:21 am

Don't use the auto update.
Try the replace files method.
As scripted in the document.
If that is not working start all over again using this method to the letter!!!
https://www.phpbb.com/support/docs/en/3 ... /upgrade3/
Sorry! My English is bat ;) !!!

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sun Dec 01, 2019 7:13 pm

Hi Janus,

Thank you. So I decided that after all my attempts prior, I should try to "roll back" to where I was with 3.0.12 and then follow your directions.
Before I started on Friday, I had used the ACP to backup the forum.
I also backed up the entire directory where my forum is installed.

I copied that entire directory back onto the host. I don't know how to restore my database. I get this error when I go back to my forum.

General Error
SQL ERROR [ mysqli ]

Table 'trinten_fiero.phpbb_styles_template' doesn't exist [1146]

(here's my edit: I did try to google this error, and found an issue where someone had a similar issue rolling back. They were told to check the config.php and make sure it matched the old one. I did, and it does match my original config.php file, so I know the overwrite worked properly when I restored my original 3.0.12 files).

Should I try to just move forward with your directions? My board was already on Prosilver.
Thank you.
Last edited by Trinten on Sun Dec 01, 2019 7:23 pm, edited 1 time in total.

User avatar
janus_zonstraal
Registered User
Posts: 3805
Joined: Sat Aug 30, 2014 1:30 pm

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by janus_zonstraal » Sun Dec 01, 2019 7:22 pm

The backup from the database is in the store folder.
You have to import him with phpmyadmin
Sorry! My English is bat ;) !!!

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sun Dec 01, 2019 7:42 pm

Thanks. I downloaded phpmyadmin, but it says to install it, I have to copy the files into the htdocs folder on the host server. I don't have access to do this.

Is there another way to install/use this tool?
Or Is it possible to update phpbb by following the rest of your steps? By this error it seems that my database has been properly updated?

Thank you!

User avatar
warmweer
Registered User
Posts: 3216
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by warmweer » Sun Dec 01, 2019 7:47 pm

Trinten wrote:
Sat Nov 30, 2019 7:43 am
The host moved the PHP back so my forums started working again.
You mention your forums started worked correct again after the host moved the php back.
To which version of php did they roll back.?

Also, when you made your forum backup, what was the php version then? (and if 7.2, do you have a backup made before the host changed the php version to 7.3 ?
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
janus_zonstraal
Registered User
Posts: 3805
Joined: Sat Aug 30, 2014 1:30 pm

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by janus_zonstraal » Sun Dec 01, 2019 7:49 pm

Normally phpmyadmin is already on the server from your host (or similar program)
Sorry! My English is bat ;) !!!

User avatar
warmweer
Registered User
Posts: 3216
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by warmweer » Sun Dec 01, 2019 7:52 pm

Trinten wrote:
Sun Dec 01, 2019 7:42 pm
Thanks. I downloaded phpmyadmin, but it says to install it, I have to copy the files into the htdocs folder on the host server. I don't have access to do this.
phpMyAdmin should be present standard when you bought you hosting plan. You should normally have access to it through your host control panel.
Before continuing, your phpBB 3.0.12 did that have any modifications? If yes, which ones?
Which style were you using as default style, and which language was the default language on your board?
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sun Dec 01, 2019 8:03 pm

warmweer wrote:
Sun Dec 01, 2019 7:47 pm
You mention your forums started worked correct again after the host moved the php back.
To which version of php did they roll back.?

Also, when you made your forum backup, what was the php version then? (and if 7.2, do you have a backup made before the host changed the php version to 7.3 ?
They rolled back to 7.1. That's when I noticed my forum was working again. At that time, I backed up the database using ACP, and then copied the directory where the forum is installed to my local machine.

The host is still on 7.1, they are waiting for me to finish the upgrade of the forum. The hosts build in control panel is an application called Vesta. I looked around in there, I could not find phpmyadmin.

User avatar
warmweer
Registered User
Posts: 3216
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by warmweer » Sun Dec 01, 2019 8:10 pm

Trinten wrote:
Sun Dec 01, 2019 8:03 pm
They rolled back to 7.1. That's when I noticed my forum was working again. At that time, I backed up the database using ACP, and then copied the directory where the forum is installed to my local machine.
3.0.12 won't work properly on php 7.1 so you won't be able to import your latest working 3.0.12 database backup using the phpBBoard itself
Trinten wrote:
Sun Dec 01, 2019 8:03 pm
The host is still on 7.1, they are waiting for me to finish the upgrade of the forum. The hosts build in control panel is an application called Vesta. I looked around in there, I could not find phpmyadmin.
If your host = Click this and read through the information then you do have phpMyAdmin.

What is the size of your 3.0.12 database backup (uncompressed and compressed)?
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

Trinten
Registered User
Posts: 19
Joined: Sun Jun 14, 2009 5:20 am

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by Trinten » Sun Dec 01, 2019 8:17 pm

Hi warmweer,

Thank you. I did finally find phpmyadmin on the control panel, it was just a small hyperlink under the DB section. I was looking for a button or expected it to be on "Apps".

Odd that you said the DB wouldn't work on 7.1. The forum had been working Friday night?

Compressed, the database file is only 1.2MB (the forum only has a few hundred posts, at most). I don't know what the uncompressed sized is. I can't unzip a .gz file.

If there is some issue between 7.1 and 3.0.x, how do I move forward? Should I still try to repair the database and follow Janus' directions?

User avatar
warmweer
Registered User
Posts: 3216
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: 3.0.12 to 3.2. Host is at PHP 7.3, going to downgrade to 7.2

Post by warmweer » Sun Dec 01, 2019 8:32 pm

Trinten wrote:
Sun Dec 01, 2019 8:17 pm
Odd that you said the DB wouldn't work on 7.1. The forum had been working Friday night?
Are you saying the board version 3.0.12 was running with php 7.1 before the host upgraded the php version to 7.3?
Trinten wrote:
Sun Dec 01, 2019 8:17 pm
Should I still try to repair the database and follow Janus' directions?
Repairing the database would imply that it's corrupt. I don't think that's what you really mean.
I suspect what you want to do is to import the database backup so that the database your phpBB uses will be the 3.0.12 one.
And then you'll probably need to clean it using the STK. Unfortunately the 3.0. STK won't work with php 7.1.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

Post Reply

Return to “[3.2.x] Support Forum”